#include<iostream>
using namespace std;
main()
{
	int N,x,y;
	int red[N],kol[N];
	scanf("%d",&N);
	int matrica[N][N];
	for(int i=0;i<N;i++)
		for(int j=0;j<N;j++)
			matrica[i][j]=0;
	for(int i=0;i<N;i++)
	{
		scanf("%d%d",&x,&y);
		red[i]=x;
		kol[i]=y;
		matrica[x-1][y-1]=1;
	}
	if(N==2)
	{
		for(int i=1;i<N;i++)
		{
			if(red[i]==red[i-1])
			{
				printf("1");
				return 0;
			}
			if(kol[i]==kol[i-1])
			{
				printf("1");
				return 0;
			}
		}
		printf("0");
		return 0;
	}
}